%{?nodejs_find_provides_and_requires}
Name:           nodejs-less
Version:        1.7.0
Release:        %mkrel 6
Summary:        Less.js The dynamic stylesheet language
Group:          Development/Other

# cssmin.js is licensed under BSD license
# everything else is ASL 2.0
License:        ASL 2.0 and BSD

URL:            http://lesscss.org
Source0: http://registry.npmjs.org/less/-/less-%{version}.tgz

# Since we're installing this in a global location, fix the require()
# calls to point there.
Patch0001: 0001-Require-include-files-from-the-default-location.patch

BuildArch:      noarch
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-grunt-cli
Requires:       nodejs

Provides:  lessjs = %{version}-%{release}
Obsoletes: lessjs < 1.3.3-2

%description
LESS extends CSS with dynamic behavior such as variables, mixins, operations
and functions. LESS runs on both the client-side (Chrome, Safari, Firefox)
and server-side, with Node.js and Rhino.

%prep
%setup -q -n package

%patch0001 -p1

# Remove pre-built files from the dist/ directory
rm -f dist/*.js

# enable compression using ycssmin
%nodejs_fixdep ycssmin '~1.0.1'

%build
# Nothing to be built, we're just carrying around flat files

%check
%make test


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{nodejs_sitelib}/less
chmod a+x bin/lessc
cp -rp bin package.json lib/less/* %{buildroot}/%{nodejs_sitelib}/less

# Install /usr/bin/lessc
ln -s %{nodejs_sitelib}/less/bin/lessc \
      %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%doc LICENSE README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/lessc
%{nodejs_sitelib}/less



%changelog
* Fri Jan 29 2016 umeabot <umeabot> 1.7.0-6.mga6
+ Revision: 928730
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 682904
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 1.7.0-2.mga5
+ Revision: 655902
- remove exclusive arch
- add group
- imported package nodejs-less

